%define name libcdio
%define version 0.77
%define release %mkrel 3

%define build_vcd 1
%{?_with_vcd: %{expand: %%global build_vcd 1}}
%{?_without_vcd: %{expand: %%global build_vcd 0}}

%define major 7
%define libname %mklibname cdio %{major}
%define isomajor 5
%define isolibname %mklibname iso9660_ %isomajor
%define cddamajor 0
%define cddalibname %mklibname cdio_cdda %cddamajor
%define cdioppmajor 0
%define cdiopplibname %mklibname cdio++ %cdioppmajor

Name: %name
Version: %version
Release: %release
License: GPL
Group: System/Libraries
URL: http://www.gnu.org/software/libcdio/
Source: ftp://ftp.gnu.org/pub/gnu/libcdio/%name-%version.tar.bz2
BuildRoot: %_tmppath/%name-buildroot
Summary: CD-ROM reading library
BuildRequires: libcddb-devel
BuildRequires: popt-devel
%if %build_vcd
BuildRequires: libvcd-devel > 0.7.19
%endif

%description 
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.


%package apps
Summary: Example tool from %name
Group: Sound
Provides: libcdio0-apps
Obsoletes: libcdio0-apps
 
%description apps
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

This contains the program cd-info as an example application of %name.

%package -n %{libname}
Summary: Libraries from %name
Group: System/Libraries
Provides: libcdio = %version-%release

%description -n %{libname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.


%package -n %{libname}-devel
Summary: Devel files from %name
Group: Development/C
Requires: %{libname} = %version
Requires: %{isolibname} = %version
Requires: %{cddalibname} = %version
Requires: %{cdiopplibname} = %version
Provides: %name-devel = %version-%release 
Requires: pkgconfig
 
%description -n %{libname}-devel
This is the libraries, include files and other resources you can use
to incorporate %name into applications.

%package -n %libname-static-devel 
Summary: Static Library for developing applications with %name
Group: Development/C
Requires: %libname-devel = %version

%description -n %libname-static-devel
This contains the static library of %name needed for building apps that
link statically to %name.

%package -n %{isolibname}
Summary: Libraries from %name
Group: System/Libraries
Conflicts: libcdio < 0.74-2mdk

%description -n %{isolibname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%package -n %{cddalibname}
Summary: Libraries from %name
Group: System/Libraries
Conflicts: libcdio < 0.74-2mdk

%description -n %{cddalibname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%package -n %cdiopplibname
Summary: C++ library from %name
Group: System/Libraries

%description -n %{cdiopplibname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name-%version

%build

%configure2_5x \
--without-versioned-libs \
%if ! %build_vcd
--disable-vcd-info
%endif

make

%install
rm -rf %buildroot
%makeinstall_std
cd %buildroot%_mandir
mv jp ja

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig
%post -n %{isolibname} -p /sbin/ldconfig
%postun -n %{isolibname} -p /sbin/ldconfig
%post -n %{cddalibname} -p /sbin/ldconfig
%postun -n %{cddalibname} -p /sbin/ldconfig
%post -n %{cdiopplibname} -p /sbin/ldconfig
%postun -n %{cdiopplibname} -p /sbin/ldconfig


%post -n %{libname}-devel
%_install_info libcdio.info

%preun -n %{libname}-devel 
%_remove_install_info libcdio.info

%files apps
%defattr(-,root,root)
%doc ChangeLog COPYING README AUTHORS NEWS INSTALL TODO
%_bindir/*
%_mandir/man1/*
%lang(ja) %_mandir/ja/man1/*

%files -n %{libname}
%defattr (- ,root,root)
%_libdir/libcdio.so.%{major}*

%files -n %{isolibname}
%defattr (- ,root,root)
%_libdir/libiso9660.so.%{isomajor}*

%files -n %{cddalibname}
%defattr (- ,root,root)
%_libdir/libcdio_cdda.so.%{cddamajor}*
%_libdir/libcdio_paranoia.so.%{cddamajor}*
%_libdir/libudf.so.%{cddamajor}*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc ChangeLog COPYING README AUTHORS NEWS INSTALL TODO
%_includedir/cdio
%_includedir/cdio++/
%_infodir/libcdio.info*
%_libdir/*.so
%attr(644,root,root) %_libdir/*.la
%_libdir/pkgconfig/*.pc

%files -n %libname-static-devel
%defattr(-,root,root)
%{_libdir}/lib*.a

%files -n %{cdiopplibname}
%defattr (- ,root,root)
%_libdir/libcdio++.so.%{cdioppmajor}*
%_libdir/libiso9660++.so.%{cdioppmajor}*

%clean
rm -rf ${RPM_BUILD_ROOT}

%changelog 
* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.77-3mdv2007.0
- Rebuild

* Mon Mar 27 2006 Götz Waschk <waschk@mandriva.org> 0.77-2mdk
- rebuild to fix apps package

* Sat Mar 18 2006 Gtz Waschk <waschk@mandriva.org> 0.77-1mdk
- new majors
- add cdio++
- New release 0.77
- use mkrel

* Tue Oct 04 2005 Götz Waschk <waschk@mandriva.org> 0.76-1mdk
- New release 0.76

* Thu Jul 21 2005 Gtz Waschk <waschk@mandriva.org> 0.75-2mdk
- fix conflicts
- rebuild

* Mon Jul 11 2005 Gtz Waschk <waschk@mandriva.org> 0.75-1mdk
- major 6
- reenable cddb

* Mon Jul 11 2005 Gtz Waschk <waschk@mandriva.org> 0.74-2mdk
- disable cddb
- better split the package

* Sat May 14 2005 Gtz Waschk <waschk@mandriva.org> 0.74-1mdk
- New release 0.74

* Mon Apr 18 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.73-2mdk
- rebuild for new libvcd

* Mon Apr 18 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.73-1mdk
- major 5
- New release 0.73

* Wed Feb  2 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.72-2mdk
- add conflict 
- reenable vcd

* Tue Feb  1 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.72-1mdk
- major 4
- update the file list
- disable vcdinfo
- drop the patch
- new version

* Thu Dec 30 2004 Angelo Naselli <anaselli@mandrake.org> 0.71-3mdk
- added patch needed to compile with c++
- added --without-versioned-libs to avoid problems linking 
  libcdio or libiso9660

* Mon Nov 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.71-2mdk
- rebuild

* Mon Nov 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.71-1mdk
- major 3
- disable parallel build
- New release 0.71

* Mon Nov 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.70-1mdk
- 0.70

* Sat Jun 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.69-1mdk
- fix source URL
- New release 0.69

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.68-2mdk
- new vcdimager

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.68-1mdk
- drop man pages
- new version

* Sat Jan 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.65-3mdk
- reenable vcd support

* Thu Jan 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.65-2mdk
- fix provides

* Thu Jan 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.65-1mdk
- use the mdkversion macro
- install man pages by hand
- disable vcdimager for now
- needs new vcdimager
- new version

* Thu Nov 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.64-3mdk
- update URL

* Fri Oct 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.64-2mdk
- turn libvcd support back on

* Fri Oct 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.64-1mdk
- add man pages
- disable vcd for this build
- add --without vcd option to allow bootstrapping
- new version

* Tue Sep  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.63-1mdk
- new version

* Sun Aug 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.62-1mdk
- add info documentation to the devel package
- new version

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.61-2mdk
- rebuild for new rpm

* Mon Jun 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.61-1mdk
- new version

* Sat May 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-2mdk
- enable vcd support
- fix naming of the apps package

* Fri May 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- initial package

